Subject: bug#7651: 23.2.91; Rmail doesn't allow displaying text attachments conveniently

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Jan 2011 17:26:40 +0200

> Date: Sat, 01 Jan 2011 13:00:44 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> Thanks.  I just started using it.  It is much better now.  I have only
> a couple of minor issues to report so far:

Here's one more problem, a more serious one.  The message reproduced
below, posted today to emacs-devel, is by default displayed with no
body at all for the 1st part, like this (indentation added):

  From: David Kuehling <[email-masked]>
  To: Ken Raeburn <[email-masked]>
  Date: Sat, 01 Jan 2011 15:20:58 +0100
  Cc: [email-masked], Emacs Dev <[email-masked]>
  Subject: Re: Some OpenWrt port related problems

  [1:multipart/signed]
  [2:application/pgp-signature file:noname (189B)]

I guess we need to handle parts with no Content-Type at all?

Here's the original message, copied from the RMAIL buffer after
toggling the display with `v' (again, indentation added):

  From emacs-devel-bounces+eliz=[email-masked] Sat Jan 01 09:21:30 2011
  Return-path: <emacs-devel-bounces+eliz=[email-masked]>
  Envelope-to: [email-masked]
  Delivery-date: Sat, 01 Jan 2011 09:21:30 -0500
  Received: from eggs.gnu.org ([140.186.70.92]:50257)
	  by fencepost.gnu.org with esmtps (TLS-1.0:RSA_AES_256_CBC_SHA1:32)
	  (Exim 4.69)
	  (envelope-from <emacs-devel-bounces+eliz=[email-masked]>)
	  id 1PZ2Ko-0003mt-2D
	  for [email-masked]; Sat, 01 Jan 2011 09:21:30 -0500
  Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	  (envelope-from <emacs-devel-bounces+eliz=[email-masked]>)
	  id 1PZ2Kq-00016f-DO
	  for [email-masked]; Sat, 01 Jan 2011 09:21:33 -0500
  X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
  X-Spam-Level: 
  X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	  RCVD_IN_DNSWL_NONE,T_MIME_NO_TEXT autolearn=unavailable version=3.3.1
  Received: from lists.gnu.org ([199.232.76.165]:57125)
	  by eggs.gnu.org with esmtp (Exim 4.71)
	  (envelope-from <emacs-devel-bounces+eliz=[email-masked]>)
	  id 1PZ2Kp-00016U-KE
	  for [email-masked]; Sat, 01 Jan 2011 09:21:31 -0500
  Received: from localhost ([127.0.0.1]:54155 helo=lists.gnu.org)
	  by lists.gnu.org with esmtp (Exim 4.43)
	  id 1PZ2Kp-0005ny-FW
	  for [email-masked]; Sat, 01 Jan 2011 09:21:31 -0500
  Received: from [140.186.70.92] (port=33845 helo=eggs.gnu.org)
	  by lists.gnu.org with esmtp (Exim 4.43) id 1PZ2KU-0005ns-Ld
	  for [email-masked]; Sat, 01 Jan 2011 09:21:11 -0500
  Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	  (envelope-from <[email-masked]>) id 1PZ2KS-0000ys-P1
	  for [email-masked]; Sat, 01 Jan 2011 09:21:10 -0500
  Received: from mailout-de.gmx.net ([213.165.64.23]:56759 helo=mail.gmx.net)
	  by eggs.gnu.org with smtp (Exim 4.71)
	  (envelope-from <[email-masked]>) id 1PZ2KS-0000yf-CX
	  for [email-masked]; Sat, 01 Jan 2011 09:21:08 -0500
  Received: (qmail invoked by alias); 01 Jan 2011 14:21:05 -0000
  Received: from g225041162.adsl.alicedsl.de (EHLO snail.gmx.de) [92.225.41.162]
	  by mail.gmx.net (mp045) with SMTP; 01 Jan 2011 15:21:05 +0100
  X-Authenticated: #4121607
  X-Provags-ID: V01U2FsdGVkX1//MpsRJHX/GjPLea+HpHz6pI07dsTdZCK9rl/RiR
	  Tae4tRtlRKjlu2
  From: David Kuehling <[email-masked]>
  To: Ken Raeburn <[email-masked]>
  References: <[email-masked]>
	  <[email-masked]> <[email-masked]>
	  <[email-masked]> <[email-masked]>
	  <[email-masked]>
  Date: Sat, 01 Jan 2011 15:20:58 +0100
  In-Reply-To: <[email-masked]> (Ken Raeburn's
	  message of "Wed, 29 Dec 2010 23:08:09 -0500")
  Message-ID: <[email-masked]>
  User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.1 (gnu/linux)
  MIME-Version: 1.0
  Content-Type: multipart/signed; boundary="=-=-=";
	  micalg=pgp-sha1; protocol="application/pgp-signature"
  X-Y-GMX-Trusted: 0
  X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
  Cc: [email-masked], Emacs Dev <[email-masked]>
  Subject: Re: Some OpenWrt port related problems
  X-BeenThere: [email-masked]
  X-Mailman-Version: 2.1.5
  Precedence: list
  List-Id: "Emacs development discussions." <emacs-devel.gnu.org>
  List-Unsubscribe: <http://lists.gnu.org/mailman/listinfo/emacs-devel>,
	  <mailto:[email-masked]?subject=unsubscribe>
  List-Archive: <http://lists.gnu.org/archive/html/emacs-devel>
  List-Post: <mailto:[email-masked]>
  List-Help: <mailto:[email-masked]?subject=help>
  List-Subscribe: <http://lists.gnu.org/mailman/listinfo/emacs-devel>,
	  <mailto:[email-masked]?subject=subscribe>
  Sender: emacs-devel-bounces+eliz=[email-masked]
  Errors-To: emacs-devel-bounces+eliz=[email-masked]
  X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
  X-RMAIL-ATTRIBUTES: --------

  --=-=-=
  Content-Transfer-Encoding: quoted-printable

  >>>>> "Ken" =3D=3D Ken Raeburn <[email-masked]> writes:

  > On Dec 29, 2010, at 04:28, David Kuehling wrote:

  >> I could dump Emacs in the target system, from a wrapper script, when
  >> launched for the first time.  But last time I tried that it failed
  >> with insufficient memory (32Mb RAM, no swap), so I'm going without
  >> dumping for now.

  > It sounds like running Emacs on such a system is going to be pretty
  > marginal in any case, but do you recall what part of it failed?
  > Finding the doc strings?  The actual dumping?

  Ok, just recompiled emacs with dumping support, and running

    $ emacs -Q --batch --eval \
      '(dump-emacs "./demacs" "/usr/bin/emacs")'

  on the NanoNote gave me:

    [..]
    Loading ediff-hook...
    Finding pointers to doc strings...
    Finding pointers to doc strings...done
    emacs: Can't allocate buffer for /usr/bin/emacs

  So it wants to pull a full copy of the emacs binary into memory?
  This problem I can workaround by changing the Linux overcommit setting,
  but then dumping fails with another problem:

    $ echo "1" > /proc/sys/vm/overcommit_memory=20
    $ emacs -Q --batch --eval \
       '(dump-emacs "./demacs" "/usr/bin/emacs")'

    [..]
    Finding pointers to doc strings...
    Finding pointers to doc strings...done
    emacs: Program segment above .bss in /usr/bin/emacs

  So what's that supposed to mean?=20=20

  cheers,

  David
  =2D-=20
  GnuPG public key: http://user.cs.tu-berlin.de/~dvdkhlng/dk.gpg
  Fingerprint: B17A DC95 D293 657B 4205  D016 7DEF 5323 C174 7D40

  --=-=-=
  Content-Type: application/pgp-signature

  -----BEGIN PGP SIGNATURE-----
  Version: GnuPG v1.4.10 (GNU/Linux)

  iD8DBQFNHzhLfe9TI8F0fUARAhyyAJ99DqcDST7T2KZEGeVc4zPusaHEQQCeM1wi
  xMZrhKQbr3HKWCBWKQGiI4o=
  =YpG9
  -----END PGP SIGNATURE-----
  --=-=-=--